v22.3.3
- Translations updates from Weblate
	- af_za, am_et, ar_sa, ast_es, az_az, be_by, bg_bg, bs_ba, ca_es, cs_cz, cy_gb, da_dk, de_de, el_gr, en_au, en_nz, en_us, eo, es_ar, es_es, es_mx, et_ee, eu_es, fa_af, fa_ir, fi_fi, fo_fo, fr_ca, fr_fr, gl_es, he_il, hi_in, hr_hr, hu_hu, hy_am, id_id, is_is, it_it, ja_jp, ko_kr, lt_lt, lv_lv, mi, mk_mk, ml_in, mn_mn, ms_my, mt_mt, my_mm, nb_no, nl_nl, pl_pl, prs, pt_br, pt_pt, ro_ro, ru_ru, si_lk, sk_sk, sl_si, sq_al, sr_rs, sr_rs@latin, sv_se, szl, ta_in, te_in, tg_tj, th_th, tr_tr, uk_ua, uz_uz, vi_vn, zh_cn, zh_tw

v22.3.1
- Translations updates from Weblate
	- af_za, am_et, ar_sa, ast_es, az_az, be_by, bg_bg, bs_ba, ca_es, cs_cz, cy_gb, da_dk, de_de, el_gr, en_au, en_nz, en_us, eo, es_ar, es_es, es_mx, et_ee, eu_es, fa_af, fa_ir, fi_fi, fo_fo, fr_ca, fr_fr, gl_es, he_il, hi_in, hr_hr, hu_hu, hy_am, id_id, is_is, it_it, ja_jp, ko_kr, lt_lt, lv_lv, mi, mk_mk, ml_in, mn_mn, ms_my, mt_mt, my_mm, nb_no, nl_nl, pl_pl, pt_br, pt_pt, ro_ro, ru_ru, si_lk, sk_sk, sl_si, sq_al, sr_rs, sr_rs@latin, sv_se, szl, ta_in, te_in, tg_tj, th_th, tr_tr, uk_ua, uz_uz, vi_vn, zh_cn, zh_tw

v22.3.0
- Updated file-open mode to ADDON_READ_NO_BUFFER for compatibility with Kodi 22

v22.2.0
- PVR Add-on API v9.2.0

v22.1.0
- PVR Add-on API v9.0.0

v22.0.0
- Initial release for Piers (PVR Add-on API v8.4.0)

v21.0.1
- Translations updates from Weblate
	- ast_es, be_by, ca_es, cs_cz, da_dk, de_de, es_es, es_mx, et_ee, fi_fi, fr_fr, hr_hr, is_is, it_it, ja_jp, ko_kr, lt_lt, nb_no, nl_nl, ru_ru, sk_sk, sv_se, uk_ua

v20.5.0
- Update PVR API 8.0.2

v20.4.1
- Don't set series and episode unless one of them has a value greater than zero

v20.4.0
- Update and standardize recording fields
  - Add series number
  - Add episode number
  - Add episode name
  - Remove episode name from title
  - Remove episode name from plot outline

v20.3.0
- Add EDL support for Recordings

v20.2.0
- Translation updates by Weblate
- Kodi main API update to version 2.0.0

v20.1.0
- Add supports recordings delete capability for PVR API 8.0.0

v20.0.0
- Update jsoncpp on depends to version 1.9.4
- Translations updates from Weblate
- Minor cleanups on addon addon.xml
- Changed test builds to 'Kodi 20 Nexus'
- Increased version to 20.0.0
  - With start of Kodi 20 Nexus, takes addon as major the same version number as Kodi.
    This done to know easier to which Kodi the addon works.

v7.1.2
- Translations updates from Weblate
	- da_dk, de_de

v7.1.1
- Language update from Weblate

v7.1.0
- Update PVR API 7.1.0

v7.0.0
- Update PVR API 7.0.2
- Change settings.xml to new format
- Prevent some compile warnings by add of ATTRIBUTE_HIDDEN

v6.0.2
- Remove p8-platform dependency
- Remove p8-platform OS includes
- Use chrono to get millis time
- Use std::mutex
- Use kodi StringUtils
- Remove SAFE_DELETE
- Remove p8-platform time utils
- Use chrono for timing
- Use std::thread
- Include windows.h for LARGE_INTEGER, MAX_PATH and GetTempAthA support
- add temporary workaround about attribute hidden

v6.0.1
- Source rebuild trigger

v6.0.0
- Update PVR API 7.0.0
- Major clang code cleanups
- Improve some C++ code parts
- Change source file license text to use SPDX format

v5.0.0
- Update PVR API 6.5.1
- Update Global API 1.2.0

v4.1.7
- Fixed: Set correct is realtime flag for recordings

v4.1.6
- Update PVR API 6.5.0

v4.1.5
- Update PVR API 6.4.0
- Add license name, forum url and source url to addon.xml
- Add GPL2 license file and show GPL-2.0-or-later on README.md
- Minor cleanups

v4.1.4
- Update PVR API 6.3.0

v4.1.3
- Add: GPL2 license file and show GPL2 on README.md
- Update: Debian build code
- Update: Some minor cleanups

v4.1.2
- PVR API 6.2.0

v4.1.1
- Fix windows unicode GetTempPath parameters
- Replace AppVeyor with Azure for test build (better performance)
- Add p8-platform to own depends

v4.1.0
- Update: Recompile for 6.1.0 PVR Addon API compatibility

v4.0.1
- Update build system version and cleanup
- Fix package check for JsonCpp
- Added AppVeyor for Windows related build tests

v4.0.0
- Update to PVR addon API v6.0.0

v3.5.0
- Update to PVR addon API v5.10.0

v3.4.2
- Update to PVR addon API v5.9.0

v3.4.0
- Update to PVR addon API v5.8.0

v3.3.3
- Change to non deprecated jsoncpp methods

v3.3.2
- Use account info for smb shares if added in settings

v3.3.1
- Bump jsoncpp to version 1.8.3

v3.3.0
- Update to PVR addon API v5.7.0

v3.2.0
- Update to PVR addon API v5.5.0
- Get rid of StdString
- Fix uwp build
v3.1.0
- Update to PVR addon API v5.3.0
v3.0.4 (22-05-2017)
- Remove of never used addon interface function
v3.0.3 (17-05-2017)
- Update Debian package control
- PVR addon callback way changes
v3.0.2 (16-05-2017)
- Removed old no more needed version functions
v3.0.1 (12-05-2017)
- Language updates
- Set dependency versions automatic during build
- Removed never used kodi to addon functions
- Build system fixes
v3.0.0 (05-12-2016)
- Initial Kodi v18 version
v2.5.0 (20-09-2016)
- Correct PVR API reference to v5.2.0
- Disable unsubscribing from events (at least for v17 Krypton)
  Allows clean exiting of Kodi
v2.4.2 (20-08-2016)
- Updated language files from Transifex
v2.4.1 (18-06-2016)
- Updated language files from Transifex
v2.4.0 (18-05-2016)
- Cmake: rename find_package kodi to Kodi
v2.3.0 (13-05-2016)
- Update to PVR addon API v5.2.0
- Fix includes
v2.2.0 (08-03-2016)
- Update to PVR addon API v5.1.0
v2.1.0 (14-02-2016)
- Update to PVR addon API v5.0.0
v2.0.1 (23-01-2016)
- Updated language files from Transifex
v2.0.0 (17-01-2016)
- Initial Kodi Krypton version.
v1.11.9 (10-01-2016)
- Updated language files from Transifex
v1.11.8 (03-01-2016)
- Updated language files from Transifex
v1.11.7 (08-12-2015)
- Updated language files from Transifex
v1.11.6 (19-09-2015)
- Update to PVR addon API v4.1.0
v1.11.5 (09-09-2015)
- Updated to PVR API v4.0.0
v1.11.4 (04-08-2015)
- Updated to PVR API v3.0.0 (API 1.9.7 compatibility mode)
v1.11.3 (19-07-2015)
- Updated to PVR API v2.1.0
- Automatically fill in platform and library name
v1.11.2 (17-07-2015)
- Debian packaging: fix library install path
- Miscellaneous backend fixes
v1.11.1 (04-07-2015)
- Updated to PVR API v2.0.0
v1.11.0 (03-07-2015)
- Updated to PVR API v1.9.7
v1.10.9 (29-06-2015)
- Coverity fixes
v1.10.8 (28-06-2015)
- Updated language files from Transifex
v1.10.7 (11-04-2015)
- Added option for all recordings to be in folders
v1.10.6 (04-05-2015)
- Updated to use new libplatform-dev
v1.10.5 (09-04-2015)
- Fix race condition on Channel GUID cache
v1.10.4 (28-03-2015)
- Updated to PVR API v1.9.6
v1.10.3 (14-03-2015)
-  TSReader: attempt to fix a crash on RPi due to xbmc/xbmc#6306
   This PR introduced a 2nd FileReader class in Kodi which conflicts with the PVR addon one...
   The PVR FileReader class is now inside an ArgusTV namespace
v1.10.2 (08-03-2015)
 - Updated to PVR API v1.9.5
v1.10.1 (17-02-2015)
 - Updated to PVR API v1.9.4
v1.9.189 (21-01-2015)
- Updated language files from Transifex
- Minor changes to conform with C++11
v1.9.188 (13-01-2015)
- Updated language files from Transifex
v1.9.187 (28-12-2014)
- added getBackendHostname function
 v1.9.186 (27-12-2014)
- Fixed mime-type for MPEG-TS
v1.9.185 (02-12-2014)
- Updated language files from Transifex
v1.9.184 (26-11-2014)
- change library name to Kodi
v1.9.183 (12-11-2014)
- fixed deadlock when activating the addon on some darwin (osx, ios) runtimes
v1.9.182 (11-11-2014)
- Updated language files from Transifex
v1.9.181 (10-11-2014)
- Updated language files from Transifex
v1.9.180 (03-09-2014)
- Updated to API v1.9.2
v1.9.178 (01-07-2014)
- Updated language files from Transifex
v1.9.177 (01-05-2014)
- fill initial last played position for recordings
v1.9.176 (22-04-2014)
- improved timer conflicts detection
- fix threads on OS X
v1.9.175 (17-03-2014)
- Updated language files from Transifex
v1.9.174 (03-03-2014)
- Updated language files from Transifex
v1.9.173 (30-01-2014)
- added service events monitor
v1.9.172 (23-12-2013)
- base new timers on templates retrieved from ARGUS TV server
v1.9.171 (11-12-2013)
- removed redundant notification
v1.9.170 (28-09-2013)
- add timeshift buffer functions
v1.8.170 (23-10-2013)
- Fixes deleting of recordings (regression)
- Improves load time of recordings
v1.8.169 (28-09-2013)
- Fixes playing recordings on Windows
- Migrated all UNC share name handling to single method
v1.8.168 (12-09-2013)
- Minimum ARGUS TV version 2.1 required
- Switched to integer ID's
v1.8.167 (29-08-2013)
- Fixed Live-TV XBMC Gotham
v1.8.166 (08-06-2013)
- sync with PVR API v1.8.0
v1.7.166 (13-03-2013)
- Fixed error when adding timers with " in their title
v1.7.165 (07-03-2013)
- Bump after PVR API version bump
v1.6.165 (19-01-2013)
- Do not disable the add-on when it can not connect to the ARGUS-TV server.
v1.6.164 (18-01-2013)
- EPG genre will contain the ARGUS TV "Category" string.
v1.6.163 (01-01-2013)
- Updated language files from Transifex
v1.6.162 (15-12-2012)
- Updated language files from Transifex
v1.6.161 (12-12-2012)
- New version number by Team XBMC
v1.6.160.145 (11-12-2012)
- Support ARGUS TV channel numbers on XBMC, switch on:
  Settings / Live-TV / General /
    "Use backend channels..." and
    "Always use the channel order..."
- New version number by Team XBMC
v1.0.150.144 (18-11-2012)
- First ARGUS TV implementation
- Support XBMC play count

v1.0.150.143 (03-11-2012)
- Bump version to 1 for Frodo :)
- Version number: major.minor.apiversion.buildnumber
- Fully supports setting and retrieving lastplayed position
  on the FTR server for recordings
- Support Timer conflict notification
- Add episode name to epg title
- Credit Team Mediaportal for original TsReader code
v0.0.1.142 (06-09-2012)
- Use the XBMC lifetime setting for a recording when possible
- Now can delete scheduled recordings/programs on the FTR server
  that were created by other clients
- At startup try to connect to FTR for 30 seconds,
  This fixes startup problems on linux systems where the add-on is
  started before the network interface is up (eg. OpenElec)
- Notify user when no free tuner is found, channel is scrambled etc.
- Shorter keep-alive delay to fix loosing Live-TV in certain cases
v0.0.1.141 (04-09-2012)
- Updated to Frodo PVR API
- Add timeshift support for Frodo
v0.0.1.140 (03-06-2012)
- Fixed deletion of recordings due to api change
- Fixed instant-record failed due to start time set to 1970 by XBMC
v0.0.1.138 (02-06-2012)
- Full support for timeshift implemented in the add-on
v0.0.1.137 (18-05-2012)
- Fixed playing recording with national characters in names on Windows
v0.0.1.136 (01-05-2012)
- Aggressively optimised TsReader class
- Added new configurable delay in milliseconds after tuning a channel
v0.0.1.135 (12-04-2012)
- Small regression fixes after switch to new platform library
  When ForTheRecord returns 'NoRetunePossible' close the current live stream and
  then try to tune again
v0.0.1.134 (07-04-2012)
- Internal change: Switch to new platform library for threading and lock mechanisms
v0.0.1.133 (31-03-2012)
- The add-on now sets the time a recording was last watched on the server
v0.0.1.132 (20-03-2012)
- Small fix to correct one invalid GUID error message at start
v0.0.1.131 (16-03-2012)
- Added many internal verifications to the <FTR GUID> to <XBMC number>
  channel mappings. External factors can break the mapping and these
  checks will hopefully warn the user to reset the PVR database
v0.0.1.130 (11-03-2012)
- Fixed 64-bit Linux .tsbuffer processing
v0.0.1.129 (04-03-2012)
- Media Portal TV-Server will now work with the FTR - FTR Addon - XBMC combination
  Recording titles with trailing periods '...' will show up in XBMC,
  NOTICE: this requires FTR 1.6.1.0 Beta 5 or newer
v0.0.1.128 (23-01-2012)
- Added: System Info - PVR Information now shows FTR version info
  Timers do no longer retrieve the cancelled 'upcomingprograms' from ForTheRecord
v0.0.1.127 (20-01-2012)
- Added: System Info - PVR Information now shows total and used disk sizes
v0.0.1.126 (10-01-2012)
- Added: titles of recordings changed to be more descriptive
v0.0.1.125 (04-01-2012)
- Added: validation of the shares for all ForTheRecord tuners at startup
v0.0.1.124 (01-01-2012)
- Fixed Linux mutex initialisation, caused by C++ not having static constructors
v0.0.1.123 (20-12-2011)
- Pressing 'record' while viewing will schedule the recording of the show watched
- Delete Timer: will abort an active recording,
                will remove the upcoming program from the server
                will remove the corresponding schedule from the server
                (the schedule name MUST be: "XBMC - " + timer title, this is the case
                 when the schedule was added by the addon and unchanged by the user)
v0.0.1.122 (07-12-2011)
- Signal quality retrieval implemented
v0.0.1.121 (04-12-2011)
- Channel logo retrieval added
v0.0.1.120 (07-11-2011)
- Windows, Linux and OSX version using TsReader
- Reliable switching between channels with HD and SD content
- TsReader streamlined
v0.0.1.117 (unreleased)
- Adaptation to many changes within XBMC
v0.0.1.116 (16-06-2011)
- Greatly improved channel zapping
- Add timer will now force a recording when no matching show title
  is found in the channel epg data on the server
- Add timer fixed: new PVR API
- GUI update triggers added: new PVR API
v0.0.1.115 (10-05-2011)
- First implementation of channelgroups
v0.0.1.114 (26-02-2011)
- Delete recording is now actually working...
v0.0.1.113 (26-02-2011)
- Upcoming recordings now showing as timers in EPG and timerlist
- Delete timer implemented
- Add timer implemented
v0.0.1.112 (23-02-2011)
- Fixed bad bug that caused loss of epg data every 10 minutes
v0.0.1.111 (01-02-2011)
- EPG loading optimised. Programme descriptions only loaded for ForTheRecord 1.5.1.
- EPG loads 48 hours of data now.
- Tune live stream now also supports radio.
v0.0.1.110 (22-01-2011)
- Delete recording implemented, needs ForTheRecord 1.5.1.0 Beta 6 or newer
- Programme descriptions added to EPG and TV channels screen
- More fixes to memory handling
v0.0.1.109 (13-01-2011)
- Initial support for retrieval of recordings on the ForTheRecord Argus server
- Overview of recordings, grouped by Title
- Viewing of a selected recording via the ForTheRecord shares
- Fixes some memory corruptions
- Support for retrieval of recordings on the ForTheRecord Argus server
- Overview of recordings, grouped by Title, including recording starttime, and description
- Credits: Red-F
v0.0.1.108 (08-01-2011)
- EPG data retrieval fixed for dates where month and day have less than 2 digits (credits: Red-F)
v0.0.1.107 (27-11-2010)
- First release of the ForTheRecord PVR client (Windows only, TSReader)
- Implemented: Channel retrieval, tuning of live TV and live radio (tsbuffer only, no rtsp), basic EPG
- Tested ForTheRecord Argus version: v1.5.0.3
